Package net.md_5.bungee.api.connection

# Enum ProxiedPlayer.ChatMode

java.lang.Object
java.lang.Enum<ProxiedPlayer.ChatMode>
net.md_5.bungee.api.connection.ProxiedPlayer.ChatMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ProxiedPlayer.ChatMode>`

Enclosing interface:
  ProxiedPlayer

public static enum ProxiedPlayer.ChatMode extends Enum<ProxiedPlayer.ChatMode>
Represents the player's chat state.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMANDS_ONLY`
  The player will only see everything except messages marked as chat.
  `HIDDEN`
  The chat is completely disabled, the player won't see anything.
  `SHOWN`
  The player will see all chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProxiedPlayer.ChatMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ProxiedPlayer.ChatMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHOWN

    public static final ProxiedPlayer.ChatMode SHOWN
    The player will see all chat.

  - ### COMMANDS_ONLY

    public static final ProxiedPlayer.ChatMode COMMANDS_ONLY
    The player will only see everything except messages marked as chat.

  - ### HIDDEN

    public static final ProxiedPlayer.ChatMode HIDDEN
    The chat is completely disabled, the player won't see anything.

- ## Method Details

  - ### values

    public static ProxiedPlayer.ChatMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ProxiedPlayer.ChatMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null